package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目搜索记录对象 tb_user_bid_record
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUserBidRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long recordBidId;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 用户搜索记录 */
    @Excel(name = "用户搜索记录")
    private String recordBid;

    public void setRecordBidId(Long recordBidId) 
    {
        this.recordBidId = recordBidId;
    }

    public Long getRecordBidId() 
    {
        return recordBidId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setRecordBid(String recordBid) 
    {
        this.recordBid = recordBid;
    }

    public String getRecordBid() 
    {
        return recordBid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordBidId", getRecordBidId())
            .append("userId", getUserId())
            .append("recordBid", getRecordBid())
            .toString();
    }
}
